/*******************************************************************************
 * SplineLoftActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SplineLoftActor extends SplineActor
    native(Spline)
    placeable
    hidecategories(Navigation);

var() interp float ScaleX;
var() interp float ScaleY;
var export editinline array<export editinline SplineMeshComponent> SplineMeshComps;
var() const StaticMesh DeformMesh;
var() const array<MaterialInterface> DeformMeshMaterials;
var() interp float Roll;
var() Vector WorldXDir;
var() Vector2D Offset;
var() bool bSmoothInterpRollAndScale;
var() bool bAcceptsLights;
var() const editconst export editinline DynamicLightEnvironmentComponent MeshLightEnvironment;
var() float MeshMaxDrawDistance;

// Export USplineLoftActor::execClearLoftMesh(FFrame&, void* const)
native function ClearLoftMesh();

// Export USplineLoftActor::execUpdateSplineParams(FFrame&, void* const)
native function UpdateSplineParams();

defaultproperties
{
    ScaleX=1.0
    ScaleY=1.0
    WorldXDir=(X=1.0,Y=0.0,Z=0.0)
    bSmoothInterpRollAndScale=true
    bAcceptsLights=true
    bStatic=true
    bWorldGeometry=true
    bGameRelevant=true
    bMovable=false
    bCollideActors=true
    bBlockActors=true
    bEdShouldSnap=true
}